Retrieve employee payslip records
Retrieve a list of payslip records for a specific employee, detailing payment periods, status, and associated identifiers.
Token scopes: payslips:read
Authentication
AuthorizationBearer
## Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
```curl
curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
```
[Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Path parameters
worker_id
The ID of the worker whose payslips are being retrieved.
Response
Payslip records successfully retrieved.
data
Errors
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error